Bug 1567760 - VMware vCloud Provider's VMs cannot revert from snapshot
Summary: VMware vCloud Provider's VMs cannot revert from snapshot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: GA
: 5.10.0
Assignee: Gregor Berginc
QA Contact: Gregor Berginc
URL:
Whiteboard:
Depends On:
Blocks: 1567962
TreeView+ depends on / blocked
 
Reported: 2018-04-16 07:44 UTC by mplesko
Modified: 2019-08-22 00:55 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1567962 (view as bug list)
Environment:
Last Closed: 2019-02-11 08:34:17 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description mplesko 2018-04-16 07:44:34 UTC
Description of problem:
I'm able to create and delete VM snapshot using CFME, but "revert" button is disabled saying "Feature not available/supported"

Version-Release number of selected component (if applicable):
5.9.2.2

How reproducible:
Always

Steps to Reproduce:
1. Create snapshot on VM and refresh inventory. Snapshot appears
2. Open snapshot and try to revert VM to this snapshot
3.

Actual results:
Button is disabled saying "Feature not available/supported"

Expected results:
Button should be enabled and reverting should work

Additional info:

Comment 5 CFME Bot 2018-04-16 13:07:24 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/master:

https://github.com/ManageIQ/manageiq-providers-vmware/commit/a951bf842a4c2b918cbc296424ebeaac1dc77697
commit a951bf842a4c2b918cbc296424ebeaac1dc77697
Author:     sasoc <saso.cvitkovic@gmail.com>
AuthorDate: Mon Apr 16 08:14:24 2018 -0400
Commit:     sasoc <saso.cvitkovic@gmail.com>
CommitDate: Mon Apr 16 08:14:24 2018 -0400

    Add supports revert to snapshot

    With this commit revert snapshot is enabled.

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1567760

    Signed-off-by: sasoc <saso.cvitkovic@gmail.com>

 app/models/manageiq/providers/vmware/cloud_manager/vm.rb | 1 +
 spec/models/manageiq/providers/vmware/cloud_manager_spec.rb | 4 +
 2 files changed, 5 insertions(+)


Note You need to log in before you can comment on or make changes to this bug.